it-swarm.com.de

Warum kann ich Oracle Java 6 nicht installieren?

Ich versuche, eine Java 6 JRE unter Ubuntu 16.04 zu installieren.

Wie ich es schon oft getan habe, habe ich Folgendes getan:

Sudo add-apt-repository ppa:webupd8team/Java
Sudo apt-get update
Sudo apt-get install Oracle-Java6-installer

... was mir diesen Fehler beschert hat:

 Downloading Oracle Java 6...
--2016-11-10 08:51:35--  http://download.Oracle.com/otn-pub/Java/jdk/6u45-b06/jdk-6u45-linux-x64.bin
Resolving download.Oracle.com (download.Oracle.com)... 146.57.254.26, 146.57.254.43
Connecting to download.Oracle.com (download.Oracle.com)|146.57.254.26|:80... connected.
HTTP request sent, awaiting response... 302 Moved Temporarily
Location: https://edelivery.Oracle.com/otn-pub/Java/jdk/6u45-b06/jdk-6u45-linux-x64.bin [following]
--2016-11-10 08:51:35--  https://edelivery.Oracle.com/otn-pub/Java/jdk/6u45-b06/jdk-6u45-linux-x64.bin
Resolving edelivery.Oracle.com (edelivery.Oracle.com)... 23.209.61.60, 2600:1418:3:1a2::2d3e, 2600:1418:3:18b::2d3e
Connecting to edelivery.Oracle.com (edelivery.Oracle.com)|23.209.61.60|:443... connected.
HTTP request sent, awaiting response... 302 Moved Temporarily
Location: https://www.Oracle.com/splash/edelivery/index.html [following]
--2016-11-10 08:51:35--  https://www.Oracle.com/splash/edelivery/index.html
Resolving www.Oracle.com (www.Oracle.com)... 23.209.61.60, 2600:1418:3:1a2::2d3e, 2600:1418:3:18b::2d3e
Connecting to www.Oracle.com (www.Oracle.com)|23.209.61.60|:443... connected.
HTTP request sent, awaiting response... 503 Service Unavailable
2016-11-10 08:51:35 ERROR 503: Service Unavailable.

download failed

Weiß jemand, ob Orakels Java 6 für immer verschwunden ist?

Ich schätze, ich gehe jetzt zu openjdk source , aber vielleicht kennt jemand eine Problemumgehung für Oracle Java?

3
hinerm

Ja, es ist für immer vorbei, es sei denn, Sie haben einen Supportvertrag mit Oracle.

Java 6 wird von Oracle nicht mehr für die breite Öffentlichkeit bereitgestellt, weil es hat das Ende der Lebensdauer im Februar 2013 erreicht , sodass Sie es nicht von Oracle herunterladen können, es sei denn, Sie haben einen Supportvertrag mit Oracle , mit dem Sie manuell herunterladen (nach dem Anmelden) bis Dezember 2018.

Ich würde empfehlen, Java 8 oder höher zu verwenden. Es werden immer noch Sicherheitsupdates installiert, und es werden Java 6 Programme kompiliert und ausgeführt. Wenn Sie etwas kompilieren müssen, damit es auf einer Java 6-JVM ausgeführt wird, Sie müssen nur -target 1.6 zu Ihrer javac -Zeile hinzufügen .

2
Chai T. Rex
0
kalgecin